# List pricelists

Retrieve a list of all price lists.

## GET /public/v1/catalog/price-lists

>

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5164-g77db55e8"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/catalog/price-lists":{"get":{"tags":["PriceLists"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PriceListListResponse"}}}}}}}},"components":{"schemas":{"PriceListListResponse":{"type":"object","properties":{"$meta":{"allOf":[{"$ref":"#/components/schemas/ListMetadata"}]},"data":{"type":"array","items":{"$ref":"#/components/schemas/PriceList"}}},"additionalProperties":false},"ListMetadata":{"type":"object","properties":{"pagination":{"allOf":[{"$ref":"#/components/schemas/PaginationMetadata"}]},"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PaginationMetadata":{"type":"object","properties":{"offset":{"type":"integer","format":"int32"},"limit":{"type":"integer","format":"int32"},"total":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"PriceList":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"revision":{"type":"integer","format":"int32"},"currency":{"type":"string"},"precision":{"type":"integer","format":"int32"},"defaultMarkup":{"type":"number","format":"double"},"defaultMargin":{"type":"number","format":"double"},"notes":{"type":"string","nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/PriceListExternalIdBag"}]},"statistics":{"allOf":[{"$ref":"#/components/schemas/PriceListStatistics"}]},"product":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductRef"}]},"vendor":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"PriceListExternalIdBag":{"type":"object","properties":{"vendor":{"type":"string","nullable":true}},"additionalProperties":false},"PriceListStatistics":{"type":"object","properties":{"sellers":{"type":"integer","format":"int32"},"listings":{"type":"integer","format":"int32"},"priceListItems":{"type":"integer","format":"int32"},"purchasePriceItems":{"type":"integer","format":"int32"},"purchasePriceCompleteness":{"type":"integer","format":"int32"},"salesPriceItems":{"type":"integer","format":"int32"},"salesPriceCompleteness":{"type":"integer","format":"int32"},"averageMarkup":{"type":"number","format":"double"},"averageMargin":{"type":"number","format":"double"}},"additionalProperties":false},"ProductRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/ProductExternalIdBag"}]},"status":{"type":"string"}},"additionalProperties":false},"ProductExternalIdBag":{"type":"object","properties":{"operations":{"type":"string","nullable":true},"defaultErpItem":{"type":"string","nullable":true}},"additionalProperties":false},"AccountRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"}}}}
```
